%{?nodejs_find_provides_and_requires}

%global packagename xmlbuilder
%global enable_tests 1

Name:		nodejs-xmlbuilder
Version:	8.2.2
Release:	1%{?dist}
Summary:	An XML builder for node.js

License:	MIT
URL:		https://github.com/oozcitak/xmlbuilder-js
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
An XML builder for node.js


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package


%build
%nodejs_symlink_deps --build
%{_bindir}/coffee -co lib src
rm -rf node_modules

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  8 2016 Jared Smith <jsmith@fedoraproject.org> - 8.2.2-1
- Initial packaging
